# TestDescriptor

@NullMarked
interface TestDescriptor

Describes a test. A test may be a single atomic test, such as the execution of a test method, or it may be a composite test, made up of zero or more tests.

## Functions

getClassName
Link copied to clipboard
@Nullable
abstract fun getClassName(): @Nullable String
Returns the test class name for this test, if any.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns the display name of the test.
getName
Link copied to clipboard
abstract fun getName(): String
Returns the name of the test.
getParent
Link copied to clipboard
@Nullable
abstract fun getParent(): @Nullable TestDescriptor
Returns the parent of this test, if any.
isComposite
Link copied to clipboard
abstract fun isComposite(): Boolean
Is this test a composite test?